KLOAK(8)

NAME
kloak - anti keystroke deanonymization tool

SYNOPSIS
kloak options

OPTIONS

-h, --help
    Print usage message and exit.

-d, --delay
    Configure the maximum delay of released events. Default 100.

-s, --start-delay
    Configure the time to wait before starting. Default 500.

DESCRIPTION
kloak is an event-level online anonymization kernel for keyboards and mice.

kloak is a privacy tool that makes input biometrics less effective. For keyboards, this is accomplished by obfuscating the time intervals between input events. For mice, this is done by obfuscating the time intervals between between mouse input events, the number of mouse input events, and the exact path taken by the mouse pointer. This data can be used for identification if not obfuscated.

EXAMPLES
On startup, kloak will grab all evdev input devices with libinput, and will proxy the events from those devices to the running Wayland compositor via emulated input protocols. There is no need to configure specific devices to be grabbed; kloak autodetects devices and displays, even when hotplugged.

kloak requires the ability to exclusively grab input devices under /dev/input, thus it usually needs to be run as root:

sudo ./kloak

Optionally start kloak by specifying the event and startup delay. A longer startup delay (configured with -s) can be useful to avoid problems with startup, while a longer event delay (configured with -d) will provide possibly better anonymity at the cost of reducing usability.

WWW
https://github.com/Whonix/kloak

CREDITS
kloak was originally written by Vinnie Monaco. It was then rewritten by Aaron Rainbolt to work with Wayland and provide better mouse obfuscation.

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).